Package com.verisign.epp.codec.nv

## Class EPPRealNameVerification

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPRealNameVerification

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRealNameVerification
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a Real Name Verification (RNV) used in `EPPNameVerificationCreateCmd` and the `EPPNameVerificationInfoResp`.
  See Also:
    `EPPNameVerificationCreateCmd`, `EPPNameVerificationInfoResp`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPRealNameVerification.ProofType` | Real Name Verification (RNV) proof type include: `POC` - Proof of Citizen, where the POC represents the citizen's identification card (ID) material. `POE` - Proof of Enterprise, where the POE represents the Organization Code Certificate (OCC) or Business License (BL) material. `POOT` - Proof of Other Types, in the POOT represents other certificate materials except the POC or POE.
    `static class` | `EPPRealNameVerification.Role` | Real Name Verification (RNV) role that include: `PERSON` - The RNV is for a person. `ORG` - The RNV is for an organization.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPRealNameVerification`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPRealNameVerification`.
    `static java.lang.String` | `ROLE_PERSON` | Contact for the default contact type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRealNameVerification()` | `EPPRealNameVerification` default constructor.
    `EPPRealNameVerification​(EPPRealNameVerification.Role aRole, java.lang.String aName, java.lang.String aNum, EPPRealNameVerification.ProofType aProofType)` | `EPPRealNameVerification` constructor the required attributes.
    `EPPRealNameVerification​(EPPRealNameVerification.Role aRole, java.lang.String aName, java.lang.String aNum, EPPRealNameVerification.ProofType aProofType, EPPNameVerificationDocument aDocument)` | `EPPRealNameVerification` constructor that takes all attributes with a single document.
    `EPPRealNameVerification​(EPPRealNameVerification.Role aRole, java.lang.String aName, java.lang.String aNum, EPPRealNameVerification.ProofType aProofType, java.util.List<EPPNameVerificationDocument> aDocuments)` | `EPPRealNameVerification` constructor that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDocument​(EPPNameVerificationDocument aDocument)` | Adds a document to the list of verification documents.
    `java.lang.Object` | `clone()` | Clone `EPPRealNameVerification`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPRealNameVerification` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPRealNameVerification` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPRealNameVerification` with this instance.
    `java.util.List<EPPNameVerificationDocument>` | `getDocuments()` | Gets the verification documents.
    `java.lang.String` | `getName()` | Gets the full name of the contact
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getNum()` | Gets the citizen or the organization ID of the contact.
    `EPPRealNameVerification.ProofType` | `getProofType()` | Gets the proof material type of the contact.
    `EPPRealNameVerification.Role` | `getRole()` | Gets the contact role.
    `boolean` | `hasDocuments()` | Are there any verification documents?
    `void` | `setDocuments​(java.util.List<EPPNameVerificationDocument> aDocuments)` | Sets the verification documents.
    `void` | `setName​(java.lang.String aName)` | Sets the full name of the contact.
    `void` | `setNum​(java.lang.String aNum)` | Sets the citizen or the organization ID of the contact.
    `void` | `setProofType​(EPPRealNameVerification.ProofType aProofType)` | Sets the proof material type of the contact.
    `void` | `setRole​(EPPRealNameVerification.Role aRole)` | Sets the contact role.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRealNameVerification`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRealNameVerification`.
      See Also:
        Constant Field Values

    - #### ROLE_PERSON

          public static final java.lang.String ROLE_PERSON

      Contact for the default contact type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRealNameVerification

          public EPPRealNameVerification()

      `EPPRealNameVerification` default constructor.

    - #### EPPRealNameVerification

          public EPPRealNameVerification​(EPPRealNameVerification.Role aRole,
                                         java.lang.String aName,
                                         java.lang.String aNum,
                                         EPPRealNameVerification.ProofType aProofType)

      `EPPRealNameVerification` constructor the required attributes.
      Parameters:
        `aRole` - Contact role.
        `aNum` - Citizen or organization ID of the contact.
        `aName` - Real name to verify
        `aProofType` - Proof type

    - #### EPPRealNameVerification

          public EPPRealNameVerification​(EPPRealNameVerification.Role aRole,
                                         java.lang.String aName,
                                         java.lang.String aNum,
                                         EPPRealNameVerification.ProofType aProofType,
                                         EPPNameVerificationDocument aDocument)

      `EPPRealNameVerification` constructor that takes all attributes with a single document. * @param aType Contact type with default of `TYPE_REGISTRANT`.
      Parameters:
        `aRole` - Role of the contact
        `aName` - Full name of the contact
        `aNum` - Citizen or the organization ID of the contact.
        `aProofType` - Proof material type of the contact.
        `aDocument` - Single proof document

    - #### EPPRealNameVerification

          public EPPRealNameVerification​(EPPRealNameVerification.Role aRole,
                                         java.lang.String aName,
                                         java.lang.String aNum,
                                         EPPRealNameVerification.ProofType aProofType,
                                         java.util.List<EPPNameVerificationDocument> aDocuments)

      `EPPRealNameVerification` constructor that takes all attributes. * @param aType Contact type with default of `TYPE_REGISTRANT`.
      Parameters:
        `aRole` - Role of the contact
        `aName` - Full name of the contact
        `aNum` - Citizen or the organization ID of the contact.
        `aProofType` - Proof material type of the contact.
        `aDocuments` - List of proof documents

  - ### Method Detail

    - #### getRole

          public EPPRealNameVerification.Role getRole()

      Gets the contact role.
      Returns:
        Contact role

    - #### setRole

          public void setRole​(EPPRealNameVerification.Role aRole)

      Sets the contact role.
      Parameters:
        `aRole` - Contact role

    - #### getNum

          public java.lang.String getNum()

      Gets the citizen or the organization ID of the contact.
      Returns:
        The citizen or the organization ID of the contact.

    - #### setNum

          public void setNum​(java.lang.String aNum)

      Sets the citizen or the organization ID of the contact.
      Parameters:
        `aNum` - Citizen or the organization ID of the contact.

    - #### getName

          public java.lang.String getName()

      Gets the full name of the contact
      Returns:
        Full name of the contact

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the full name of the contact.
      Parameters:
        `aName` - Full name of the contact

    - #### getProofType

          public EPPRealNameVerification.ProofType getProofType()

      Gets the proof material type of the contact.
      Returns:
        proof material type of the contact

    - #### setProofType

          public void setProofType​(EPPRealNameVerification.ProofType aProofType)

      Sets the proof material type of the contact.
      Parameters:
        `aProofType` - proof material type of the contact

    - #### hasDocuments

          public boolean hasDocuments()

      Are there any verification documents?
      Returns:
        `true` if there are documents; `false` otherwise.

    - #### getDocuments

          public java.util.List<EPPNameVerificationDocument> getDocuments()

      Gets the verification documents.
      Returns:
        Verification documents

    - #### setDocuments

          public void setDocuments​(java.util.List<EPPNameVerificationDocument> aDocuments)

      Sets the verification documents.
      Parameters:
        `aDocuments` - Verification documents

    - #### addDocument

          public void addDocument​(EPPNameVerificationDocument aDocument)

      Adds a document to the list of verification documents.
      Parameters:
        `aDocument` - Document to add to the list of verification documents.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRealNameVerification` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRealNameVerification` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRealNameVerification` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRealNameVerification` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRealNameVerification` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPRealNameVerification` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRealNameVerification`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Deep copy clone of `EPPRealNameVerification`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.